Subject: [Ecrit] [Fwd: I-D ACTION:draft-ietf-sip-location-conveyance-02.txt]

From: Hannes Tschofenig <[email-masked]>
Date: Thu, 09 Mar 2006 21:30:40 +0100

fyi,

-------- Original Message --------
Subject: I-D ACTION:draft-ietf-sip-location-conveyance-02.txt
Date: Wed, 08 Mar 2006 02:50:01 -0500
From: [email-masked]
Reply-To: [email-masked]
To: [email-masked]
CC: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts 
directories.
This draft is a work item of the Session Initiation Protocol Working 
Group of the IETF.

	Title		: Session Initiation Protocol Location Conveyance
	Author(s)	: J. Polk, B. Rosen
	Filename	: draft-ietf-sip-location-conveyance-02.txt
	Pages		: 33
	Date		: 2006-3-7
	
This document defines how the Session Initiation Protocol (SIP)
    conveys, or pushes, user location information from one SIP entity
    to another SIP entity.  SIP Location Conveyance is always end to
    end, but sometimes the embedded location information can be acted
    upon by SIP Servers to direct where the message goes, based on where
    the user agent client is.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sip-location-conveyance-02.txt

To remove yourself from the I-D Announcement list, send a message to
[email-masked] with the word unsubscribe in the body of 
the message.
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-sip-location-conveyance-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-sip-location-conveyance-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 09 Mar 2006 20:34:03 -0600

Indeed, and notice the page count now (33). It was (74) for version -01, so 
I was busy editing.  The other changes of note:

    - Limited the scope of this document to SIP conveyance, meaning only
      how SIP can push location information.

removed PUBLISH (defered to Presence to address), SUBSCRIBE (pull), NOTIFY 
(pull)and REFER (grey area for now) from the solution

    - reduced emergency calling text to just a few paragraphs now that
      the ECRIT WG is taking most of that topic on.

This will likely now be covered in the phoneBCP doc

    - greatly reduced the number of requirements in this version.

Took out a lot of operational requirements, which also will be in the phoneBCP

    - changed the requirements groups from "UA-to-UA", "UA-to-Proxy",
      etc to "UAC Reqs", "UAS-Reqs" and "Proxy-Reqs" to focus on what is
      being asked of each SIP element.

    - Removed the full SIP message examples.

    - completed the ABNF for the Location header, including a cid-url to
      point at a message body part to help in parsing for location.

Yesterday I received a comment on how I can change the ABNF of the Location 
header further, part of which made sense immediately, the remainder makes 
this an open issue at this moment.

Today I had a comment about more to do with the ABNF.

    - Deleted the call for a new 425 (Retry Location) response code, as
      it appears this can easily be used to spoof a UA into providing
      where it is inadvertently, even if the intent is legitimate by the
      UAC.

There were a few other minor nits brought up to address.

More comments are welcome, but PLEASE on the SIP List, as the chair there 
is questioning how interested folks are in this ID because of the lack of 
comments on the ID's home list; when in fact, many comments are made -> on 
other lists.

At 09:30 PM 3/9/2006 +0100, Hannes Tschofenig wrote:
>This draft is a work item of the Session Initiation Protocol Working Group 
>of the IETF.
>
>[email-masked] with the word unsubscribe in the body of the 
>message.